import { Handlers } from "$fresh/server.ts";
import { getMovie } from "@lib/resource/movies.ts";
import { json } from "@lib/helpers.ts";

export const handler: Handlers = {
  async GET(_, ctx) {
    const movie = await getMovie(ctx.params.name);
    return json(movie);
  },
};
